Remove a post (staff)
POST /api/communities/{communityId}/posts/{postId}/removal. Remove a post (staff). Headless LMS Communities API reference.
Staff only (owner, admin, instructor). Takes a published or pending post down and resolves its open flags as removed. 409 when it is already removed or was never submitted.
Path Parameters
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/communities/string/posts/string/removal"{ "orgId": "string", "id": "string", "communityId": "string", "spaceId": "string", "orgUserId": "string", "topicId": "string", "title": "string", "body": "string", "extra": null, "coverAssetId": "string", "status": "draft", "scheduledAt": "2019-08-24T14:15:22Z", "publishedAt": "2019-08-24T14:15:22Z", "removedBy": "string", "pinned": true, "commentsClosed": true, "reactionsEnabled": true, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "coverUrl": "string", "author": { "id": "string", "firstName": "string", "lastName": "string", "displayName": "string", "headline": "string", "image": "string", "imageAssetId": "string", "imageUrl": "string", "role": "owner" }, "reactions": { "property1": 0, "property2": 0 }, "viewerReaction": "string", "commentCount": 0, "following": true, "bookmarked": true}{ "error": "string", "message": "string", "requestId": "string", "issues": [ { "path": "string", "message": "string" } ]}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}Publish a post that is awaiting review (staff) POST
POST /api/communities/{communityId}/posts/{postId}/approval. Publish a post that is awaiting review (staff). Headless LMS Communities API reference.
Restore a removed post (staff) POST
POST /api/communities/{communityId}/posts/{postId}/restoration. Restore a removed post (staff). Headless LMS Communities API reference.